org.eclipse.jetty.deploy

## Interface AppLifeCycle.Binding

All Known Implementing Classes:
  DebugBinding, GlobalWebappConfigBinding, OrderedGroupBinding, StandardDeployer, StandardStarter, StandardStopper, StandardUndeployer

Enclosing class:
  AppLifeCycle

    public static interface AppLifeCycle.Binding

### Method Summary

Methods
`String[]` `getBindingTargets()` Get a list of targets that this implementation should bind to.
`void` `processBinding(Node node, App app)` Event called to process a `AppLifeCycle` binding.

### Method Detail

#### getBindingTargets

    String[] getBindingTargets()

Get a list of targets that this implementation should bind to.

Returns:
  the array of String node names to bind to. (use `"*"` to bind to all known node names)

#### processBinding

    void processBinding(Node node,
                      App app)
                        throws Exception

Event called to process a `AppLifeCycle` binding.

Parameters:
  `node` - the node being processed
  `app` - the app being processed
Throws:
  `Exception` - if any problem severe enough to halt the AppLifeCycle processing